## console-setup 1.104

=== debian/changelog ===
console-setup (1.104) unstable; urgency=low

  * Use nepali keymap for Nepali and Tharu by default

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Dec 2013 14:49:33 +0100

console-setup (1.103) unstable; urgency=low

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Fri, 08 Nov 2013 22:14:09 +0100

console-setup (1.102) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Latvian (lv.po) by Rūdolfs Mazurs

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Oct 2013 14:57:17 +0200

console-setup (1.101) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Greek, Modern (1453-) (el.po) by galaxico
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Tomislav Krznar
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Kannada (kn.po) by Prabodh C P (FSMK Localisation Team)
  * Malayalam (ml.po) by Anish Sheela
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Polish (pl.po) by Michał Kułach
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Uyghur (ug.po) by Abduqadir Abliz
  * Ukrainian (uk.po) by Yuri Chornoivan
  * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)

 -- Christian Perrier <bubulle@debian.org>  Sat, 05 Oct 2013 19:37:09 +0200

console-setup (1.100) unstable; urgency=low

  [ Christian Perrier ]
  * Add Tibetan keyboard layout for D-I. Closes: #667056

  [ Samuel Thibault ]
  * Make Tibetan keyboard understood as non-latin layout.

  [ Christian Perrier ]
  * Add Tajik as keymap choice for D-I

  [ Updated translations ]
  * Japanese (ja.po) by Kenshi Muto
  * Slovak (sk.po) by Ivan Masár
  * Tajik (tg.po) by Victor Ibragimov
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Sep 2013 07:00:34 +0200

console-setup (1.99) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Sep 2013 15:01:43 +0200

console-setup (1.98) unstable; urgency=low

  * Re-upload with more informative changelog. The change below was
    added in 1.97. Closes: #722069

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Sep 2013 15:39:08 +0200

console-setup (1.97) unstable; urgency=low

  * -

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 22:38:19 +0200

console-setup (1.96) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Sep 2013 18:49:55 +0200

console-setup (1.95) unstable; urgency=low

  * Set default keymap for Tajik

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 Aug 2013 11:03:49 +0200

console-setup (1.94) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 12:24:32 +0200

console-setup (1.93) unstable; urgency=low

  [ Samuel Thibault ]
  * Do not fail keyboard configuration on hurd console not running.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 19:17:40 +0200

console-setup (1.92) unstable; urgency=low

  [ Anton Zinoviev ]
  * keyboard-configuration.config: when in d-i properly update $STATE
    during the missing variant question.  This was causing an endless
    loop.  Thanks to Brian Potkin, closes: #697449.

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 11:32:22 +0100

console-setup (1.91) unstable; urgency=low

  * A wrong command in keyboard-configuration.config was breaking the
    configuration of almost all non-Latin languages.  Thanks to Theppitak
    Karoonboonyanan, closes: #697255.  Due to the way console-setup works,
    this version will fix automatically the damage caused by the previous
    version in /etc/default/keyboard.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 03 Jan 2013 19:53:08 +0200

console-setup (1.90) unstable; urgency=low

  [ Cyril Brulebois ]
  * Keyboard/xmlreader: Register the hwList tag as an ignored one, just
    like vendor is ignored already, which lets us get rid of a spurious
    warning in the build log (thanks, Holger & jenkins). Closes: #696754.

  [ Anton Zinoviev ]
  * Proofreading of debian/keyboard-configuration.config.  Make the file a
    little more readable with more comments.  Some changes in the logic.
    This probably fixes the important part of #693485.  Thanks to Bob Bib.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 01 Jan 2013 19:27:29 +0200

console-setup (1.89) unstable; urgency=low

  * Team upload.

  [ Updated translations ]
  * Marathi (mr.po) typo.

  * keyboard-configuration.config: Add support for preseeding xkb-keymap.
    Closes: Bug#696188.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Dec 2012 00:37:02 +0100
