## console-setup 1.108ubuntu14

=== debian/changelog ===
console-setup (1.108ubuntu14) xenial; urgency=medium

  * keyboard_present.sh: Quiet config/postinst when we have no USB devices.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 12 Apr 2016 13:15:05 -0600

console-setup (1.108ubuntu13) xenial; urgency=medium

  * debian/keyboard-configuration.config: run grep with -a (to deal with files
    as ASCII data) when searching for keyboard, locale, and layout names.
    (LP: #1549529)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Apr 2016 13:47:04 -0400

console-setup (1.108ubuntu12) xenial; urgency=medium

  * No-change rebuild to properly generate console-setup-udeb's list of
    valid keyboard layouts and variants.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 24 Mar 2016 10:50:39 -0400

console-setup (1.108ubuntu11) xenial; urgency=medium

  * Add ConditionPathExists=/dev/tty0 to the console-setup.service, to
    avoid running the unit on platforms without virtual consoles,
    e.g. s390x. LP: #1552733

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Mar 2016 14:41:05 +0000

console-setup (1.108ubuntu10) xenial; urgency=medium

  * debian/rules: Drop obsolete and no-op dh_installinit --upstart-only
    option. (LP: #1519228)
  * Add debian/keyboard-configuration.links to (statically) enable
    console-setup.service. It is not being pulled in by plymouth any more, and
    doing so was brittle and unexpected. (LP: #1531442)
  * console-setup.service: Set RemainAfterExit.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Jan 2016 15:02:09 +0100

console-setup (1.108ubuntu9) wily; urgency=medium

  * Cherry-pick fix from git for udpkg/Hurd noise in keyboard-configuration.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 20 Oct 2015 12:51:36 +0100

console-setup (1.108ubuntu8) wily; urgency=medium

  * Properly handle setting XKBVARIANT when using keyboard detection.
    (LP: #1506551)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Oct 2015 11:13:01 +0100

console-setup (1.108ubuntu7) wily; urgency=medium

  * Fix incorrect versioning change from last upload; initramfs-tools
    0.85eubuntu12 looks wrong but was in fact correct.
  * If the locale is C during configuration, only set CHARMAP to ISO-8859-15
    on kFreeBSD; otherwise restore the previous behaviour from before the
    kFreeBSD port of using UTF-8 in that case (LP: #1484101).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 Oct 2015 11:18:04 +0100

console-setup (1.108ubuntu6) wily; urgency=medium

  * debian/control: allow dracut to be installable by adding an alternate
    depends on linux-initramfs-tool for console-setup.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 08 Sep 2015 22:36:52 -0400

console-setup (1.108ubuntu5) vivid; urgency=medium

  * Reinstate checking for XKBLAYOUT being in the config file: this handles
    the cases where installs done with ubiquity don't have their debconf seen
    flag set for model/layout questions. If layout is already configure, lower
    the corresponding question's priority to medium so we don't ask it again.
    (LP: #1446231)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 21 Apr 2015 17:19:21 -0400

console-setup (1.108ubuntu4) vivid; urgency=medium

  * Add systemd unit for console-setup. That avoids waiting for $remote_fs
    during early boot. (Note: there is no need to enable it, it gets pulled
    in through systemd-vconsole-setup.service) (LP: #1430280)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 Mar 2015 15:33:49 +0100

console-setup (1.108ubuntu3) vivid; urgency=medium

  * Drop console-setup-freebsd; it's useless and uninstallable given that we
    don't have a freebsd port.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Mar 2015 10:15:31 -0500

console-setup (1.108ubuntu2) vivid; urgency=medium

  * Fix the mess I made with the previous upload:
  * Reinstate changelog entry from 1.70ubuntu10; the changes aren't necessary
    as keyboard-configuration does get the translated names of keyboards.
  * Reinstate changes from 1.70ubuntu11:
    - Make debian/keyboard-configuration.console-setup.init do the same as the
      corresponding .upstart: I. e. just call loadkeys instead of setupcon, and
      don't check the current console. (Font loading is already done via udev
      rules).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 02 Mar 2015 17:55:46 -0500

console-setup (1.108ubuntu1) vivid; urgency=medium

  [ Steve Langasek ]
  * Merge from Debian unstable, remaining changes: (LP: #1426721)
    - Don't gzip font or ACM files in /etc/console-setup/.  The space saving
      is negligible, and it's more efficient not to need to uncompress them
      at boot time.
    - Include pc105.tree for ubiquity.
    - Move boot tasks to a combination of two udev rules and a single
      Upstart job, ensuring that they're run at points when we are able to
      satisfy the constraints on the relevant ioctls.
    - Stop running debconf-updatepo on clean.
    - Set keymap and font in the initramfs if possible and sensible.
    - Add an apport hook.
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    - Include support for translated keyboard names.
    - Depend on debconf instead of pre-depending, because pre-depends have
      no effect on config scripts.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.upstart, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Make setupcon explicitly exit 0, so that postinsts don't fail in the
      event that loadkeys can't find a console.
    - Update for new layouts and variants for Montenegro and Serbia, and
      migrate configuration files from the old layouts.
    - Generate a locale locally for translating keyboard names in

