=== debian/changelog ===
console-setup (1.108ubuntu15.5) xenial; urgency=medium

  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Apr 2019 13:16:29 -0700

console-setup (1.108ubuntu15.4) xenial; urgency=medium

   * Drop dependency from console-setup to initramfs-tools |
     linux-initramfs-tool; this was a versioned dependency used for upgrades,
     now long obsolete.  LP: #1721626.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Oct 2017 12:36:07 -0700

console-setup (1.108ubuntu15.3) xenial; urgency=medium

  * debian/console-setup-linux.setvtrgb.service: add condition to only
    execute when /dev/tty0 exists. This is the same condition as used by
    getty@.service unit to prevent attempting setting up VT when none are
    present. This is a common case on serial only architectures and
    virtual machines. Resolves degraded boots on s390x/ppc64el. LP:
    #1660598

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 31 Jan 2017 11:47:04 +0000

console-setup (1.108ubuntu15.2) xenial; urgency=medium

  * Reorganize and correct console-setup, keyboard-setup and setvtrgb along the
    lines of the logic in 16.04: (LP: #1591622, #1593156)
    - debian/console-setup-linux.setvtrgb.service: don't require being run
      before system-getty.slice.
    - debian/keyboard-configuration.links: both console-setup and
      keyboard-setup systemd units should be installed to sysinit.target rather
      than multi-user.
    - debian/keyboard-configuration.keyboard-setup.service: move loadkeys call
      at local-fs-pre.target and in this more suitable location.
    - debian/keyboard-configuration.console-setup.service: move to running
      after the screen, keyboard, and filesystems are ready and set up all of
      what may still need to be done to configure the virtual consoles
      appropriately: set a final keymap, font, etc. 

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 16 Jun 2016 14:41:19 +0300

console-setup (1.108ubuntu15.1) xenial; urgency=medium

  * debian/console-setup-linux.setvtrgb.service: port the upstart job for
    applying our preferred color settings to a systemd unit so it gets run.
    This will fix debconf prompts on console being extra ugly. (LP: #1576893)
  * debian/console-setup-linux.links: enable our setvtrgb service in sysinit.
  * debian/keyboard-configuration.links: fix link source for console-setup
    service. (LP: #1572697)
  * debian/control: add dh-systemd to Build-Depends.
  * debian/keyboard-configuration.keyboard-setup.service: also enable
    keyboard-setup as a systemd service so we can have proper keymaps enabled
    in VTs. (LP: #1579267)
  * debian/keyboard-configuration.links: enable keyboard-setup service.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 29 Apr 2016 14:15:07 -0400

console-setup (1.108ubuntu15) xenial; urgency=medium

  * Properly handle settings CODESET and FONSIZE when they equals 'guess' or are unset.
    - console-setup-tty, debian/console-setup.initramfs-hook,
      debian/console-setup.initramfs-top
    (LP: #1565542) 

 -- Evgeniy Yanyuk <eugenenuke@gmail.com>  Tue, 19 Apr 2016 15:22:17 -0400
