=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
-Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl
+Build-Depends-Indep: xkb-data (>= 1.6), xkb-data-i18n, keymapper (>= 0.5.3-7), sharutils, locales
+Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, dh-systemd
 Standards-Version: 3.9.1
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/console-setup.git
-Vcs-Git: git://anonscm.debian.org/d-i/console-setup.git
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/console-setup.git
+XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/console-setup.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu
 
 Package: keyboard-configuration
 Section: utils
 Architecture: all
-Depends: ${misc:Depends}, liblocale-gettext-perl, initscripts
-Pre-Depends: debconf (>= 1.5.34)
+Depends: debconf (>= 1.5.34), ${misc:Depends}, liblocale-gettext-perl, initscripts
 Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
 Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
 Description: system-wide keyboard preferences
@@ -25,8 +26,7 @@
 Package: console-setup
 Section: utils
 Architecture: all
-Pre-Depends: debconf (>= 1.5.34)
-Depends: console-setup-linux | console-setup-freebsd, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
+Depends: debconf (>= 1.5.34), console-setup-linux, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
 Suggests: lsb-base (>= 3.0-6), locales
 Conflicts: console-setup-mini
 Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
@@ -48,7 +48,7 @@
 Priority: extra
 Architecture: all
 Recommends: kbd | console-tools
-Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
+Depends: console-setup-linux, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
 Suggests: lsb-base (>= 3.0-6)
 Conflicts: console-setup
 Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
@@ -67,7 +67,7 @@
 Section: utils
 Priority: optional
 Architecture: all
-Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), keyboard-configuration (= ${source:Version}), ${misc:Depends}
+Depends: kbd (>= 1.15-1ubuntu3), keyboard-configuration (= ${source:Version}), ${misc:Depends}
 Suggests: console-setup
 Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
 Replaces: console-terminus, console-setup (<< 1.71)
@@ -75,17 +75,6 @@
 Description: Linux specific part of console-setup
  This package includes fonts in psf format and definitions of various
  8-bit charmaps.
-
-Package: console-setup-freebsd
-Section: utils
-Priority: optional
-Architecture: all
-Depends: vidcontrol, kbdcontrol, keyboard-configuration (= ${source:Version}), ${misc:Depends}
-Suggests: console-setup
-Breaks: console-setup (<< 1.71)
-Replaces: console-setup (<< 1.71)
-Description: FreeBSD specific part of console-setup
- This package includes raw, uuencoded fonts and various screen maps.
 
 Package: bdf2psf
 Section: utils
@@ -113,7 +102,7 @@
 Package: console-setup-udeb
 Section: debian-installer
 Priority: extra
-Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard
